Back to DesignSpark
Follow

Which versions of DS Mechanical are the add-on modules compatible with?

This add-on modules are ONLY compatible with Version 2 onwards. Please ensure you have the latest version of the software installed before commencing installation of your new add-on modules.

Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request

0 Comments

Please sign in to leave a comment.